/*
 *   This file is a part of the SteamWar software.
 *
 *   Copyright (C) 2025 SteamWar.de-Serverteam
 *
 *   This program is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU Affero General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *   GNU Affero General Public License for more details.
 *
 *   You should have received a copy of the GNU Affero General Public License
 *   along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

plugins {
    `java-library`
    alias(libs.plugins.shadow)
}

tasks.build {
    finalizedBy(tasks.shadowJar)
}

dependencies {
    implementation(project(":FightSystem:FightSystem_Core"))
}

tasks.register<FightServer>("HalloweenWS") {
    group = "run"
    description = "Run a Halloween 1.21 Fight Replay Server"
    dependsOn(":SpigotCore:shadowJar")
    dependsOn(":FightSystem:shadowJar")
    template = "HalloweenWS"
    worldName = "arenas/Lucifus"
    config = "HalloweenWS.yml"
    replay = 179786
    jar = "/jars/paper-1.21.6.jar"
}

tasks.register<FightServer>("WarGear21") {
    group = "run"
    description = "Run a WarGear 1.21 Fight Server"
    dependsOn(":SpigotCore:shadowJar")
    dependsOn(":FightSystem:shadowJar")
    dependsOn(":KotlinCore:shadowJar")
    template = "WarGear21"
    worldName = "arenas/Pentraki"
    config = "WarGear21.yml"
    jar = "/jars/paper-1.21.6.jar"
}
